import java.lang.*;
import java.util.*;
import java.io.*;

public class UrlOperator{
    public static void main(String[] args){

	int i;
	String[] gd = getGapDomains(args[0]);
	for (i=0; i<gd.length; i++)
	    System.out.println(gd[i]);
    }

    public static String[] getGapDomains(String url){

	int i;

	StringTokenizer ust = new StringTokenizer(url,"/]");
	ust.nextToken();                  
	String domain = ust.nextToken();  

	StringTokenizer dst = new StringTokenizer(domain,".");
	String[] dstr = new String[dst.countTokens()];
	for (i=0; i<dstr.length; i++){
	    dstr[i] = dst.nextToken();
	}
	String[] gd = new String[dstr.length]; 
	for (i=0; i<dstr.length; i++)
	    gd[i] = getDomainSuffix(dstr,i);

	return gd;
    }

    private static String getDomainSuffix(String[] strs,int beg){

	String ans = "[HTTP://";
	if (beg == 0)
	    ans = ans + strs[beg++];
	else
	    ans = ans + "*";
	while (beg < strs.length)
	    ans = ans + "." + strs[beg++];
	ans = ans + "]";
	
	return ans;
    }
}
